Bug 1790554 - "View Keyboard Layout" option shown for input methods but doesn't work (because they don't really have one)
Summary: "View Keyboard Layout" option shown for input methods but doesn't work (becau...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-13 15:40 UTC by sumantro
Modified: 2022-05-13 23:41 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Screenshot showing which engines show a keyboard layout and which don't (87.28 KB, image/png)
2020-01-23 10:51 UTC, Mike FABIAN
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-control-center/issues/849 0 None None None 2020-01-21 09:55:08 UTC
Red Hat Bugzilla 1768067 0 unspecified CLOSED [abrt] libgnomekbd: get_preferred_height_for_width(): gkbd-keyboard-display killed by SIGSEGV 2021-02-22 00:41:40 UTC

Description sumantro 2020-01-13 15:40:17 UTC
Description of problem:

The keyboard layout for Kana Kanji Japanese doesnt show up 

Version-Release number of selected component (if applicable):
Fedora-Rawhide-20200112.n.0

How reproducible:
Everytime

Steps to Reproduce:
1. Install Fedora-Rawhide-20200112.n.0 WS from live boot 
2. Open settings and navigate to Region and Language
3. Add Japanese Kana Kanji in the input source
4. Click the icon looking like an eye button which should open the keyboard layout


Actual results:
Doesn't show up the keyboard layout

Expected results:
The keyboard layout should show up like it shows up for english

Additional info:

Comment 1 Adam Williamson 2020-01-21 08:42:13 UTC
Note, Kana Kanji isn't a keyboard layout really - it's an 'input method'. If you pick it, it's not as simple as 'press a key on the keyboard and a Japanese character appears'. It's a more complex system that allows you to input the more complex Japanese text, picking from the three sets of characters as you go.

So, it's not clear what *should* be shown if you click on the eyeball here. But it should clearly show *something*, even if it's just an explanation that it can't exactly show a keyboard layout; or else the eyeball icon shouldn't be shown.

Also, I just tried it myself on Rawhide, and it looks like there's actually a crash when you click the eyeball: https://retrace.fedoraproject.org/faf/reports/1692252/ . I'm running it through abrt right now.

Comment 2 Adam Williamson 2020-01-21 08:45:47 UTC
sorry, correction - I reproduced on F31, not Rawhide.

Comment 3 Jens Petersen 2020-01-23 03:47:07 UTC
This is most likely a gnome-shell issue: since the "Show Keyboard Layout" menu item in the Input Source also doesn't do anything for IMEs.

Comment 4 Jens Petersen 2020-01-23 05:50:22 UTC
Actually it might be a duplicate of 1500721 (libgnomekbd)

Comment 5 Parag Nemade 2020-01-23 05:54:58 UTC
Good to discuss on bug 1500721 actually and close this bug.

Comment 6 fujiwara 2020-01-23 08:52:19 UTC
(In reply to Parag Nemade from comment #5)
> Good to discuss on bug 1500721 actually and close this bug.

I don't think so.

Comment 7 fujiwara 2020-01-23 08:58:16 UTC
@Adam Williamson:

I also suggest to file the similar issue to gnome-shell upstream.
I think gnome-control-center's behavior is copied from gnome-shell's one and need to fix gnome-shell at first.
I also think all the discussion should be moved to upstream.

Comment 8 Mike FABIAN 2020-01-23 10:51:50 UTC
Created attachment 1654809 [details]
Screenshot showing which engines show a keyboard layout and which don't

The engines (or keyboard layouts) marked green in the screenshot show a keyboard layout, the ones which are marked red don't.

I.e. there are some engines which do show a keyboard layout when clicking on the "eye" to show the layout.

The engines which do that are those which enforce a keyboard layout.

For example:

    mfabian@localhost ~]$ cat /usr/share/ibus/component/cangjie.xml
    <?xml version="1.0" encoding="UTF-8"?>
    <component>
      <name>org.freedesktop.IBus.Cangjie</name>
      <description>Cangjie Component</description>
      <exec>/usr/lib/ibus-cangjie/ibus-engine-cangjie --ibus cangjie</exec>
      <version>2.4</version>
      <author>The IBus Cangjie authors</author>
      <license>GPLv3+</license>
      <homepage>https://github.com/bochecha/ibus-cangjie</homepage>
      <textdomain>ibus-cangjie</textdomain>
    
      <engines>
        <engine>
          <name>cangjie</name>
          <longname>Cangjie</longname>
          <description>Cangjie Input Method</description>
          <language>zh_HK</language>
          <layout>us</layout>
          <symbol>倉頡</symbol>
          <icon>/usr/share/icons/hicolor/16x16/intl/cangjie.png</icon>
          <license>GPLv3+</license>
          <author>The IBus Cangjie authors</author>
          <setup>/usr/bin/ibus-setup-cangjie cangjie</setup>
          <rank>0</rank>
        </engine>
      </engines>
    </component>[mfabian@localhost ~]$ 
    
The "Chinese(Cangjie)" engine has <layout>us</layout>, i.e. it enforces the us layout and clicking on the "eye" shows that.

But the "Other (latn-post (m17n))" engine has "<layout>default</layout>":

    [mfabian@localhost ~]$ /usr/libexec/ibus-engine-m17n --xml | grep -A 5  latn-post.png  
                ...
                <icon>/usr/share/m17n/icons/latn-post.png</icon>
                <layout>default</layout>
                <layout_variant></layout_variant>
                <layout_option></layout_option>
                <hotkeys></hotkeys>
                <symbol></symbol>
    [mfabian@localhost ~]$

i.e. it does not change the layout, and in gnome-control-center clicking on the eye does nothing.

The "Other (latn-post (m17n))" engine has an option in its setup tool, but it does not matter whether this option is used or not, clicking on the "eye" never shows anything for that engine.

So it only seems to matter whether the xml data for an engine  from /usr/share/ibus/component/*.xml enforces a layout or not.

Comment 9 Mike FABIAN 2020-01-23 13:46:07 UTC
When clicking on the "eye" for an engine which does not enforce a keyboard layout, this crash happens:

https://bugzilla.redhat.com/show_bug.cgi?id=1766914

Comment 10 Adam Williamson 2020-01-24 09:45:53 UTC
If you look at the links for this bug, I already linked it to a bug for the crash, and I already linked both this and the crash bug to upstream reports.

Crash bug: https://bugzilla.redhat.com/show_bug.cgi?id=1768067
Upstream this bug: https://gitlab.gnome.org/GNOME/gnome-control-center/issues/849
Upstream crash bug: https://gitlab.gnome.org/GNOME/libgnomekbd/issues/1

Comment 11 Ben Cotton 2020-02-11 17:26:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 12 Fedora Program Management 2021-04-29 16:01:59 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Jens Petersen 2021-05-18 07:10:22 UTC
I think this is being/been addressed upstream but still happens with F34 (Gnome 40) I believe.

Comment 14 Ben Cotton 2022-05-12 15:13:55 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 15 Adam Williamson 2022-05-13 23:41:05 UTC
Still valid in F36. There are some fancy mockups for a whole new UI upstream, but nobody's done anything about it.


Note You need to log in before you can comment on or make changes to this bug.